## alienblaster 0.1-1

=== debian/changelog ===
alienblaster (0.1-1) unstable; urgency=low

  * Initial release

 -- CepiPerez <cepiperez@gmail.com>  Wed, 14 Apr 2010 17:48:39 -0300

## alienblaster 0.1-2

=== src/Makefile ===
# game name
GAME_NAME=alienBlaster

# the compiler to use
COMPILER=g++

# include path
INCLUDE_PATH=-I.

#OPTIMIZATION=-g -pg -fprofile-arcs
#OPTIMIZATION=-O3
OPTIMIZATION=-g
#OPTIMIZATION=

# SDL library
SDL_LIBS=`sdl-config --libs` 
SDL_FLAGS=`sdl-config --cflags`

# game flags
GAME_FLAGS=-D_GNU_SOURCE -Wall -Winline -finline-functions $(SDL_FLAGS) $(OPTIMIZATION)
GAME_LIBS= -lSDL_mixer $(SDL_LIBS) $(OPTIMIZATION)

# all objectfiles
OBJECT_FILES=main.o surfaceDB.o soundDB.o options.o geometry.o video.o game.o \
	racer.o racers.o shots.o shot.o boundingBox.o items.o item.o font.o \
	explosion.o explosions.o mixer.o enemys.o enemy.o wrecks.o wreck.o \
	settings.o intro.o setDifficulty.o global.o formation.o infoscreen.o \
	menuArcadeMode.o sonic.o banners.o banner.o smokePuff.o smokePuffs.o \
	shieldGlow.o background.o input.o

.PHONY: all game clean realclean rebuild tgz

all: depend $(GAME_NAME)

clean:
	rm -f *.o *.da

realclean:
	rm -f *.o *.da *~ Makefile.dep

rebuild: realclean game

.SUFFIXES: .cc

# How to compile a c++ programm
$(GAME_NAME): $(OBJECT_FILES)
	@echo ""
	@echo ""
	@echo "Linking $@"
	@$(COMPILER) $(GAME_LIBS) -o $(GAME_NAME) $(OBJECT_FILES)
	mv $(GAME_NAME) ../

%.o: %.cc
	@echo ""
	@echo ""
	@echo "Compiling $<"
	@$(COMPILER) $(GAME_FLAGS) $(INCLUDE_PATH) -c $< -o $@ 

depend:  dep

dep:
	-touch Makefile.dep
	-makedepend $(INCLUDE_PATH) -Y -f Makefile.dep *.cc 2> /dev/null
	-rm -f Makefile.dep.bak

-include Makefile.dep

=== debian/changelog ===
alienblaster (0.1-2) unstable; urgency=low

  * Fix installation problems

 -- CepiPerez <cepiperez@gmail.com>  Wed, 14 Apr 2010 17:48:39 -0300

=== debian/control ===
Source: alienblaster
Section: user/games
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: libsdl1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 5)
Standards-Version: 3.7.2

Package: alienblaster
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alien Blaster port for N900.
 An action-loaded 2D arcade shooter game.
 Your mission in the game is simple: stop the invasion of the aliens by blasting them.
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAK6wAACusBgosNWgAAAAd0
 SU1FB9oEDhQuG/Bjj3YAAA2WSURBVGje7ZlrjF1Xdcd/+3Fe9zkvO7YT22Mn
 40cd2wlxgkmNwYQ2iikhIYBaIAnQAGkrUItQeZRSBFQpiopEAQmlqE0rEAnQ
 ViiYAG1CA+RNKZ6YKLEdz9gz4xnPjO+duffOee6zdz9MmsotakE4tT+wPx7p
 7LV+Z++11v+sBb9a53aJF2vjK973kQt3VDau2zC05pHGUJ1e3BpcE/QX77h1
 T/e8B/iNWz5y54LI3t8UNVbVBt3K5iBewxd9gXrsolr0vZtvu/bD5y3Ajltu
 WJRTzYa1GdoLCXRI4NfwZMU1mnUxsrafLRes/uHb/uA1Lz8b9vTZdP5dey+p
 PzWVNLrdGO35COfI84IiyVAqEXEck+UpbsltcM4JIYT7ZW2qs+X89Lunr7pn
 /pvHup2uy9NMZMowtXWaVmWWdv8cS80W+ngDoTz8etg4fOI59y8H/vGhX9au
 PFsAe8d3v2p6oUWx1BNTG9sc3jWBzhXajxBSs2g7jF72z0x2J2jPFZQef/b6
 hz5QOy9iYPf2Vw1nJGMu67in1wqxeRp030qiaCXSq2AKS7qU0spj3FJA54oZ
 3tD3ZvfOa/eK3a/bJs55DDy29gftjSc3sxgEomIKfB2hZQDSgTQEFY0fVvBT
 j1Ra5hYLjnTHxROHV3NeXKF9z1173HYlp6OQNacVNghQnkJJEAKUJ1G+JvAE
 tQasaNc5xkGeGHvu/AAQBc1OKVg/18VJjdQaIRVaCyQOicTXCuVJBBn9NkC3
 FN2l3vkB0NxQR9oCqyTWluDA15LQ9/C1REmQSqG1RjiINISJI8sT3vP+z99+
 zgGGL19LpEAIi7X/9dz3FVHoEXlQ9eyyMeXwfcWKFYNQGnda9P7knAM8d+w5
 0iLDOQsOSmtIkpgiz9HCEUiHsAVFFiOxCClQ2oGzIi5Nec6z0PSpWQzg3LJz
 ZZETW5BS0ux34HksJQUmS8EZhBTgLMY5ssKceymxpllD1SJmMoMUDiUVTjqy
 PCPudMiFpASEM8ulxyl8l7OeBY7H5bkHGNKKejXA1SvkToCAWqAJPA0KyjLH
 mpLSgdQeWiqCdJF1dDmm+l4cADftXvq73/zq/lVe0146sh1Tzoa37L38Q/ZH
 9hVylzxDwxyfnSVptagMD6OLkiCq8JLLLiNe6tButbHOEoQVOp0lZudaCBej
 Io8j07P49cD+LPtXf+yOO1ZUV6WDtSYXrR5of/yGV/7Vzy0l3nP7u08vDF2m
 jzx+oFGmOUmvy22//+ds33bJxKA+vTYqyvrmX9/VA7j77+9+6Gtf/speYwyX
 X3kVYRiwcuVKHnjwIebmZlnqdahUqgwNruT1N12PkIrZU6f49re+xSXr1qHr
 VXPFyK7FK4d37bz/njs6s4F/Yr55UftkLDaMP/EdpPJRUtl3ve/TxyuCvne8
 6fKB/xXgLX94Y6c5o2tPPvusSPIS5xxpUWLazyKbW/mLOz/nLt/QL7707a/t
 6E1no4eeOUStViMMQ0ZGRsiyjAe/930cAiUFnhY4B05opqdnedutv0OjXuPh
 hx9mx44ddDsdZltznCa+dJMZPGTkonvyqafFYi/BKUWWphR5Qnd2mlve+1m3
 fvelvffdtK/xPwBe98Zb6rVm/QdLczM7J06ewOQFvufhgDzPSLOMpV6POE44
 8J2HXDd+Rnz2L7/ojhweFzfddBMDAwM8/vjj5EVOtxfT6yVEgU+1GpDlliTJ
 QMDkxDhSCD7xiY+zdu1a7r33XtLMuBgraspzTz7+iNBao7TG5Ia8yMjznDzP
 abfn2L5jHx/+xN8enD5x9OW33Xp194U68I3el73JufGd7YV5F3ge1WqFIIoI
 o4BKtUIlCmjUGtRqVd7x9pvF1o172LZlk1ixYgUrVqzg0UcfJQh8TGHpLSVY
 63j53t3ceOONrBwcwlBiTMnKC9bQqNe46667GBgYYHh4Pb04EaFX58f/9oSQ
 QhJEAb7nEQQBYRAQBAFBGNDfv4Kx8VH37Qfu2Tmw9eKBM35oPrfnr+One085
 mxbCUx5hFBL4PgKBUt5y7hbLuT1NYlZdtJXNmzeQpSnHxsZIkpj2YofT7Q5R
 5PNbr3k11VqVzZsv4WW7d+F5cGJqCpOXeJ5HUeRkWc6WLVv5wWM/whaG7sI8
 UkvCIFyWHc9LEOccQgiUEDhhRehVaFQHv/rd+740+cIJfObQF4mMFlJKpJb4
 QYDSmk2bNjE01E8UVKhWqoRRhK9h9NBhLli9hWqlyrOHjzAxOUMcp1QrIUOD
 NSYmj2OtoduNAceeq1/BS3deTr1eQQiJc4777vsmM6dmyArL4mIL39eE3rJd
 3/O44opdXHfddQwMDBAEAV4YEfoB01NjztfRI2ekUZNC6SxCCJCS0pSMjFzC
 pk2bOHXqFAefegqxBKV1FGmCkAGzLRgbP44Sjr7+Go1GgyAIyUzM/OlZBgcH
 abVP0+l2aM1N0DfYYGign7kyJ04KlIAf//jfMWVBaQpsWeIFAVprpJRUq1UG
 BweJoog0zdA6RwrQvie63c6ZdWDCm5+6MAsvxBYEUqG1YmxsjHXr1jF/eh5P
 qWXnsgwhFE5AayFhZGSEw2NT/PToDFk+ged5XHXFRvrrVWbnZpBS4nkhc/Oz
 tOdPc2JyBpzFWoUXVVizZg1PjD5D5PtYY9B+iRQCKQWjowcZHR0lSzKCwEc8
 n3KU8phIZqfOEHMmOHrpT+OjlIUlThKSJMWUJQcO3M/RI0cpihxXlmgEjdUb
 6F+/jQce/Cf+9eHHuOE1ryZ3Aqs0S8byo9EplpICIQQLnRazcyeJ44SnnjlB
 VliMhawoufaafTz65E+wTlBKjfYrCCBJU9I0w5iS0hi0t5yVfO0hlEZt2sYB
 17r0DICP/vSTfVun9hA1ay7LMlqtFvNzc6TZEnEcM99qEycJAkPfxS9lbGqC
 saMHOT45iylyrv/NPVTDEF8L4iTh4SeP8uzhSRbmuzz99Bjff/gg/6k7SySv
 2Hs11UpEu5vSrNcwuaGUEb6vMVlBp9cjiWMKYzGlwZaGojSYMnf7f20fX9/4
 ur4zstBD+YML+/NrTj6RTF4fDRhXxLkoihzn5PLLRYanPLd6eLMo+ldNiJOH
 mqro0F+vc3R8kjAIqIU+lSiiGyfkeUGgQTlYXOyRZIZKFFKrVQl833n44pnx
 CVatGqLZbNBo1BFakaQ5GpzDCuscvlYICVjwKLh45/6J+g9rH3jLnXsf+JmV
 +C7+5p13b7zvrhMXjDFkQvxQUwkqNPoGXb3hRF+fO/j5T997WfeR9h1+PUpt
 Yck7GfRkes+TX//gmBnrK/OMx35ymIXZE9giI6zWqNT6uGR4DdqvEHk13jzy
 249euX/H/TKQEgcEgsljJ+32P75m/7pg5e4B3XCBL4Tv+SghCCPLTddcxxvf
 /k7xf2qhj1Y/NfzxfR9ov+zk/uNDYrA50N/EXxkys/HgQC0T5it3fvdnNmhv
 2P7WsWONk8MmK9i761JwJYUpMWVJnhccOjJJs9Gg1lefvf/rX94mhJj/73tE
 r91QT7XRr57d3bqwtoZ6vUYaxYtjAw+sv/vWA/0XvWTt+IvWG71+21vHn6tN
 rNdCsrSUkBYFWZpRC33CSoVGo0Y1DImateMH7v3S8HnXGy1yg8NinaBWr1BH
 YK3D8yRKaTyl8JRCO3fWbJ5VgDTOSKKMahAhtEBLjfQlSik8JRBSIqVAqrPW
 0Tx7vVEAiyMzFicEzrpl/QRICVJrKr5PoJe1zXkJcNvtb26209g5a3DWYZ1F
 CHBOIBEs6yyFVwbnJ8DNf/qm/rRvSWAVTkhsYUiSFOccUkq0VkitWBWvtudk
 QrP39147HJhgzMs1aVEQZylZmpHmGYUpKTGYKVy17gkB5EnK1m1bWWgtUq2F
 NAKfUnkspD2Ozo8ReR5aKTyll2NDCG7e9ybe/sq3bGjsaoyf9SBuJJ4NjEaV
 ARXrU7E+ictZKpZIsxxjSmyjFFmaYq0lSxKazSbOWdJeDxmFlGVJFc2W+jDg
 kMLhnMA5R2EMkY4I+0P7omQhYQtwEuU8hHBUA4UUGpNryrJEKEkWG0pryfMU
 Wyr6+vqRVjDZ7aCkwFiLA7SnkDisLTGlw7oS6yxFVpB18xcnBkovxCr/hYsn
 cPgSqqFPxdfI0iAFqLJEGIPnCwLPo9aoQmnBOYRQ4EAKcDjK54O9tI6S5dOg
 fJHqQOFX0HhYK6A0OFeitCQKJVJKSmsRDlKtEUZhrWNhsY18njgvSqxY/j20
 paMsS6xzWARCKqR1zvO1EP7P/2F/oRO4bO5KuSJbj/WrznkV8CLwaoiwiRfW
 qdb78P0A3/dQQuJwLLQXOb2wgMDhsJRliXPlsvMsFzetNUEU0ag2xPdHH7+r
 tr02/vP69AtNKR95+lsLL9vzhpmlmtupXbXp0OBrhB9hhcI6CxgoS6w1GFMy
 MDCARGDLAt/TOOecxQmEwPc9Qi+g6lfw6v5Ub1Uy+o0v/N3r/1+GfO//oy/c
 YeZIZwZaKGnIrU0ioe5oJ3NycaFFZ6HFwsIMV23Z5WLTo3S5qIUhhSsoOvaD
 vpahH3oMpYNUy1r0qX/45IcEv/jc+Kyq0fd+5HNrTtgZ3ZqfZXFhHnl84cLN
 60Yeuf2Gm3nlx/YMvPHaW+q5yuQ3PnPvOL9ay+s/AOZoYtqpuKLiAAAAAElF
 TkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make 
	#docbook-to-man debian/alienblaster.sgml > alienblaster.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/alienblaster.
	# $(MAKE) DESTDIR=$(CURDIR)/debian/alienblaster install
	cp -rf $(CURDIR)/cfg* $(CURDIR)/debian/alienblaster/opt/alienblaster/
	cp -rf $(CURDIR)/images* $(CURDIR)/debian/alienblaster/opt/alienblaster/
	cp -rf $(CURDIR)/sound* $(CURDIR)/debian/alienblaster/opt/alienblaster/
	cp $(CURDIR)/debian/alienblaster.sh $(CURDIR)/debian/alienblaster/usr/bin/alienblaster
	cp $(CURDIR)/debian/alienblaster.desktop $(CURDIR)/debian/alienblaster/usr/share/applications/hildon/alienblaster.desktop
	cp $(CURDIR)/icon-48.png $(CURDIR)/debian/alienblaster/usr/share/icons/hicolor/48x48/hildon/alienblaster.png
	cp $(CURDIR)/icon-64.png $(CURDIR)/debian/alienblaster/usr/share/icons/hicolor/64x64/hildon/alienblaster.png
	cp $(CURDIR)/alienBlaster $(CURDIR)/debian/alienblaster/opt/alienblaster/alienblaster



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs CHANGELOG
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	cp $(CURDIR)/debian/prerm $(CURDIR)/debian/alienblaster/DEBIAN/prerm
	cp $(CURDIR)/debian/postinst $(CURDIR)/debian/alienblaster/DEBIAN/postinst
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## alienblaster 1.1.0

=== Makefile ===
.PHONY: all

all:
	cd src;make VERSION=$(VERSION)

clean:
	cd src;make clean

=== src/Makefile ===
--- 
+++ 
@@ -13,12 +13,12 @@
 #OPTIMIZATION=
 
 # SDL library
-SDL_LIBS=`sdl-config --libs` 
-SDL_FLAGS=`sdl-config --cflags`
+SDL_LIBS=$(shell sdl-config --libs)
+SDL_FLAGS=$(shell sdl-config --cflags)
 
 # game flags
 GAME_FLAGS=-D_GNU_SOURCE -Wall -Winline -finline-functions $(SDL_FLAGS) $(OPTIMIZATION)
-GAME_LIBS= -lSDL_mixer $(SDL_LIBS) $(OPTIMIZATION)
+GAME_LIBS=-lSDL_mixer $(SDL_LIBS) $(OPTIMIZATION)
 
 # all objectfiles
 OBJECT_FILES=main.o surfaceDB.o soundDB.o options.o geometry.o video.o game.o \

=== debian/changelog ===
alienblaster (1.1.0-13) unstable; urgency=medium

  * Team Upload
  * Enable verbose build, do not specify "-O 2" twice
  * Apply Multi-Arch: hint
  * Update standards version to 4.7.2, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Nov 2025 18:19:25 +0100

alienblaster (1.1.0-12) unstable; urgency=medium

  * Team Upload
  * Import on Salsa, set Vcs tags

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.2, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 17 Dec 2024 13:29:06 +0100

alienblaster (1.1.0-11) unstable; urgency=medium

  * debhelper-compat (= 13)
  * Bump standards version
  * Set RRR=no
  * Remove obsolete menu file

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 25 Dec 2020 17:26:41 +0100

alienblaster (1.1.0-10) unstable; urgency=medium

  * Fix cross builds, patch by Helmut Grohne (Closes: #883512)
  * Remove dead Vcs links
  * Use optional priority
  * Bump standards version

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 29 Dec 2018 00:46:01 +0100

alienblaster (1.1.0-9) unstable; urgency=medium

  * Team upload.
  * debian/rules: Remove override for dh_builddeb because xz compression
    is the default now. Drop source/options too.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Use https.
  * alienblaster.desktop: Add a comment in German.
  * Remove imagemagick from Build-Depends and manually convert
    alienblastericon.bmp to alienblaster.png and alienblaster.xpm icons.
    (Closes: #778479)

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jan 2016 17:58:22 +0100

alienblaster (1.1.0-8) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Remove myself from Uploaders.

  [ Barry deFreese ]
  * Bump debhelper depends and compat to 9.
  * Add misc:Depends to -data package for debhelper.
  * Bump Standards Version to 3.9.4.

  [ Markus Koschany ]
  * debian/control:
    - Add Suggests: alienblaster to alienblaster-data.
    - Add build-dep on imagemagick.
    - Use canonical VCS-URI.
  * debian/rules:
    - Build with --parallel.
    - Build with hardening=+all.
  * Add alienblaster.png and alienblaster.xpm icons for application menus by
    converting existing .bmp images with imagemagick at build time.
  * debian/patches:
    - Drop patches 01-03 fix-datapaths patches. Do not change the path to the
      game data directory anymore. Instead use a shell wrapper script to fix
      the issue. All configuration files are now available in
      ~./alienblaster/cfg, hence users can edit and update the keyboard
      configuration again. Thanks Hans de Goede for the hint. (Closes: #476635)
    - Enable hardening with add-hardening-support.patch.
  * Drop all .dirs files. They are no longer necessary.
  * Update debian/copyright to copyright format 1.0.
  * alienblaster.desktop: Add keywords.
  * alienblaster.menu: Rename menu to alienblaster.menu, add a longtitle and
    icon field.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 02 Jun 2013 13:49:47 -0400

alienblaster (1.1.0-7) unstable; urgency=low

  * Fix build with --as-needed. Patch by Julian Taylor, thanks.
    (Closes: #632093)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 24 Jul 2011 19:22:58 +0200

alienblaster (1.1.0-6) unstable; urgency=low

  * Minimise rules with dh

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 13 Jul 2011 21:47:35 +0200

alienblaster (1.1.0-5) unstable; urgency=low

  * Switch to source format 3
  * Update standards version (no changes necessary)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 04 May 2011 22:29:40 +0200

alienblaster (1.1.0-4) unstable; urgency=low

  * Install the manpage only in alienblaster (Closes: #514403)
    + add alienblaster.manpages
  * Add Vcs-{Svn,Browser} fields
  * Drop the DM-Upload-Allowed: yes, all the uploader are DD now
  * Drop some dh-make template comment from debian/rules
  * Add myself in Uploaders:

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Thu, 12 Feb 2009 21:24:14 +0100

alienblaster (1.1.0-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Add Homepage field

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Add descriptions to quilt patches.
  * Change (c) to (C) in debian/copyright.
  * Install simple man page. (Closes: #490232).
    + Thanks to Mike Ayers for the man page!
  * Add and install desktop file. (Closes: #502621).
    + Add dh_desktop call.
  * Bump Standards Version to 3.8.0. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 06 Feb 2009 10:55:38 -0500

alienblaster (1.1.0-2) unstable; urgency=low

  [ Barry deFreese ]
  * Remove () from Authors.
  * Menu policy transition. Games/Arcade to Games/Action.
  * Remove unneeded dirs file and dh_installdirs calls.
  * Remove src/Makefile.dep in clean target.

  [ Moritz Muehlenhoff ]
  * Fix handling of arcade mode highscore (Closes: #476636)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 01 May 2008 15:40:52 +0200

alienblaster (1.1.0-1) unstable; urgency=low

  * Initial release

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 26 Mar 2008 19:59:20 +0100

=== debian/control ===
Source: alienblaster
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Moritz Muehlenhoff <jmm@debian.org>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libsdl-mixer1.2-dev,
 libsdl1.2-dev
Standards-Version: 4.7.2
Homepage: https://www.schwardtnet.de/alienblaster/
Vcs-Git: https://salsa.debian.org/games-team/alienblaster.git
Vcs-Browser: https://salsa.debian.org/games-team/alienblaster

Package: alienblaster
Architecture: any
Depends:
 alienblaster-data,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Classic 2D shoot 'em up
 Your mission is simple: Stop the invasion of the aliens and blast them!
 .
 Alien Blaster is a classic 2D shoot 'em up featuring lots of different
 weapons, special items, aliens to blast and a big bad boss.
 .
 It supports both a single player mode and a cooperative two player mode
 for two persons playing on one computer.

Package: alienblaster-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Suggests:
 alienblaster
Description: Game data for Alien Blaster
 Your mission is simple: Stop the invasion of the aliens and blast them!
 .
 Alien Blaster is a classic 2D shoot 'em up featuring lots of different
 weapons, special items, aliens to blast and a big bad boss.
 .
 It supports both a single player mode and a cooperative two player mode
 for two persons playing on one computer.
 .
 This package provides the architecture-independant game media.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- 'COMPILER=$$(CXX)'

execute_before_dh_install:
	mv $(CURDIR)/alienblaster $(CURDIR)/alienblaster.bin

override_dh_clean:
	$(RM) $(CURDIR)/src/Makefile.dep
	$(RM) $(CURDIR)/alienblaster.bin
	$(RM) $(CURDIR)/*.png $(CURDIR)/*.xpm
	dh_clean

=== debian/watch ===
version=3
http://www.schwardtnet.de/alienblaster/archives/alienblaster-(.*)\.tgz
